﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("_PartStockReceivingInquiryScript")




<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr style="height:30px">
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Order No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_ORDER_NO";
                        settings.Width = 100;
                        settings.Properties.ClientSideEvents.Init = "SetFocus";
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 12;
                    }).GetHtml()
                </td>
                      
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Sub M/F No";
                    Label.Width = 100;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SUB_MF_NO";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Properties.MaxLength = 16;
                }
                ).GetHtml()
                </td>   
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "* Binning Date";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_BINNING_DATE";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "BinningDateOnChanged";
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_BINNING_DATE_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>                 
                        </tr>
                    </table>
                </td>
                <td style="width :10%; padding-left: 30px">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "  Status";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>                                   
                    @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_STATUS";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 100;
                        //settings.SelectedIndex = -1;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.TextField = "SYSTEM_VALUE";
                    }).BindList(ViewData["PICKING_LIST_FLAG"]).GetHtml()                
                </td> 
            </tr>
            <tr style="height:30px">
                <td>
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Supplier Code";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUPPLIER_CODE";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 6;
                    }
                    ).GetHtml()
                </td>      
                
                
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Kanban ID";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_KANBAN_ID";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 25;
                    }).GetHtml()
                </td>
                        
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "* Release Date";
                        Label.Width = 100;
                    }).GetHtml()
                </td>
                <td>
                    <table>
                        <tr>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_RELEASE_DATE";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.ClientSideEvents.DateChanged = "ReleaseDateOnChanged";
                                }).GetHtml()
                            </td>
                            <td style="text-align:center">
                                @Html.DevExpress().Label(
                                Label =>
                                {
                                    Label.Text = "To";
                                    Label.Width = 40;
                                }).GetHtml()
                            </td>
                            <td>
                                @Html.DevExpress().DateEdit(
                                settings =>
                                {
                                    settings.Name = "I_RELEASE_DATE_TO";
                                    settings.Width = 100;
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                    settings.Properties.EditFormatString = "dd.MM.yyyy";
                                    settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                    settings.ReadOnly = false;
                                    settings.Properties.UseMaskBehavior = true;
                                    settings.Properties.EditFormat = EditFormat.Custom;
                                }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr style="height:30px">
                <td style="width :10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Sub Supplier Code";
                        Label.Width = 120;
                    }).GetHtml()
                </td>
                <td style="width :10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUB_SUPPLIER_CODE";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 6;
                    }
                    ).GetHtml()
                </td>
                
                <td style="width :10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Part No";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width :10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_NO";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 12;
                    }
                    ).GetHtml()
                </td>   
                <td style="width :10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Supplier Plant";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width :10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUPPLIER_PLANT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 1;
                    }
                    ).GetHtml()
                </td>   

                
                 
            </tr>
            <tr style="height:30px">
                <td style="width :10%">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Manifest";
                    Label.Width = 150;
                }).GetHtml()
                </td>
                <td>
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_MANIFEST";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                    settings.Properties.MaxLength = 16;
                }
                ).GetHtml()
                </td>
                
                <td style="width :10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Rack Address";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width :10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_PART_ADDRESS";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 12;
                    }
                    ).GetHtml()
                </td> 
                <td style="width :10%">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Sub Supplier Plant";
                        Label.Width = 110;
                    }).GetHtml()
                </td>
                <td style="width :10%">
                    @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "I_SUB_SUPPLIER_PLANT";
                        settings.Width = 100;
                        settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                        settings.Properties.MaxLength = 1;
                    }
                    ).GetHtml()
                </td>   
                <td style="width: 60%" align="right" colspan="3">                    
                     
                    <div id="search_cnt">
                         @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdDownload";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Download";
                            edtSetting.ClientSideEvents.Click = "DownloadData";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //edtSetting.ClientVisible = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-02", "DOWNLOAD");
                        }).GetHtml()


                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdSearch";
                            edtSetting.Width = 80;
                            edtSetting.Text = "Search";
                            edtSetting.ClientSideEvents.Click = "OnSearch";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "SEARCH");
                        }).GetHtml()

                        @Html.DevExpress().Button(edtSetting =>
                        {
                            edtSetting.Name = "cmdClear";
                            edtSetting.Width = 90;
                            edtSetting.Text = "Clear";
                            edtSetting.ClientSideEvents.Click = "OnClear";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PartReceivingInquiry", "FTR-SPEX-177-01", "CLEAR");
                        }).GetHtml()
                    </div>
                </td>            
            </tr>          
        </table>
    </fieldset>
</div>

<div class="content" style="min-height: 300px">
    @Html.Partial("PartStockReceivingInquiryGrid")
</div>